# frozen_string_literal: true

module Samanage
  class Api
    def get_requesters(path: PATHS[:requester], options: {})
      self.execute(path: path, options: options)
    end
    # X-Total headers are not returned on this resource
    def collect_requesters(options: {page: 1}, requesters: [], path: PATHS[:requester])
      puts "Collecting requesters page: #{options[:page]}" if options[:verbose]
      paginated_requesters = self.execute(path: path, options: options)[:data]
      paginated_requesters.each do |requester|
        if block_given?
          yield requester
        end
        requesters << requester
      end
      if paginated_requesters.empty?
        return requesters.uniq{|r| r['id']}
      else
        collect_requesters(options: {page: options[:page] + 1}, requesters: requesters)
      end
    end
    # Get requester from value (email)
    def get_requester_id(value:)
      api_call = self.execute(path: "requesters.json?name=#{value}")
      api_call[:data].size == 1 ? api_call[:data][0] : nil
    end
  alias_method :requesters, :collect_requesters
  end
end
